# $Revision: 1.3 $, $Date: 2004/07/28 08:03:15 $

%define 	module	dumper

Summary:	Python module for dumping nested data structures
Summary(pl):	Modu Pythona umoliwiajcy wypisywanie zawartoci zoonych struktur danych
Name:		python-%{module}
Version:	1.0
Release:	1
License:	CNRI
Group:		Libraries/Python
Source0:	http://www.mems-exchange.org/software/files/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	be7c0681c1819b244fd43c01ba6b9f67
URL:		http://www.mems-exchange.org/software/dumper/
BuildRequires:	python-devel >= 1.5
Requires:	python >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dumper is a module that provides tools for dumping deeply nested
Python data in a readable, customizable, controllable way. It handles
recursive structures, class instances, and lets you control how deeply
the dump goes in a couple of ways.

%description -l pl
dumper jest moduem umoliwiajcym wywietlanie zawartoci zoonych i
zagniedonych struktur Pythona w czytelny, konfigurowalny i
sterowalny sposb. Obsuguje rekurencyjne struktury danych, instancje
klas oraz pozwala na kontrol gbokoci analizy przetwarzanych
obiektw.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/dumper.py[oc]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-dumper.spec,v $
Revision 1.3  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.2  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.1  2004/05/21 08:10:52  zboczuch
- initial


